/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.interfaces;


import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.io.Serializable;
import java.sql.Date;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public interface IHorarepeticao extends VertxPojo, Serializable {

    /**
     * Setter for <code>public.horarepeticao.horid</code>.
     */
    public IHorarepeticao setHorid(Integer value);

    /**
     * Getter for <code>public.horarepeticao.horid</code>.
     */
    public Integer getHorid();

    /**
     * Setter for <code>public.horarepeticao.horhora</code>.
     */
    public IHorarepeticao setHorhora(String value);

    /**
     * Getter for <code>public.horarepeticao.horhora</code>.
     */
    public String getHorhora();

    /**
     * Setter for <code>public.horarepeticao.hordiainicial</code>.
     */
    public IHorarepeticao setHordiainicial(Date value);

    /**
     * Getter for <code>public.horarepeticao.hordiainicial</code>.
     */
    public Date getHordiainicial();

    /**
     * Setter for <code>public.horarepeticao.horrepetiracada</code>.
     */
    public IHorarepeticao setHorrepetiracada(Integer value);

    /**
     * Getter for <code>public.horarepeticao.horrepetiracada</code>.
     */
    public Integer getHorrepetiracada();

    /**
     * Setter for <code>public.horarepeticao.hortiporepeticao</code>.
     */
    public IHorarepeticao setHortiporepeticao(String value);

    /**
     * Getter for <code>public.horarepeticao.hortiporepeticao</code>.
     */
    public String getHortiporepeticao();

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface IHorarepeticao
     */
    public void from(com.tabajara.base.tables.interfaces.IHorarepeticao from);

    /**
     * Copy data into another generated Record/POJO implementing the common interface IHorarepeticao
     */
    public <E extends com.tabajara.base.tables.interfaces.IHorarepeticao> E into(E into);

    @Override
    public default IHorarepeticao fromJson(io.vertx.core.json.JsonObject json) {
        setHorid(json.getInteger("horid"));
        setHorhora(json.getString("horhora"));
        // Omitting unrecognized type java.sql.Date for column hordiainicial!
        setHorrepetiracada(json.getInteger("horrepetiracada"));
        setHortiporepeticao(json.getString("hortiporepeticao"));
        return this;
    }


    @Override
    public default io.vertx.core.json.JsonObject toJson() {
        io.vertx.core.json.JsonObject json = new io.vertx.core.json.JsonObject();
        json.put("horid",getHorid());
        json.put("horhora",getHorhora());
        // Omitting unrecognized type java.sql.Date for column hordiainicial!
        json.put("horrepetiracada",getHorrepetiracada());
        json.put("hortiporepeticao",getHortiporepeticao());
        return json;
    }

}
